import { __decorate, __metadata } from "tslib";
import { Component, Output, EventEmitter, Input } from '@angular/core';
let AbiSearchFieldComponent = class AbiSearchFieldComponent {
    constructor() {
        this.change = new EventEmitter();
    }
    ngOnInit() {
    }
    onSearch(event) {
        if (this.change) {
            this.change.emit({ event, this: this });
        }
    }
};
__decorate([
    Output(),
    __metadata("design:type", EventEmitter)
], AbiSearchFieldComponent.prototype, "change", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], AbiSearchFieldComponent.prototype, "placeholder", void 0);
AbiSearchFieldComponent = __decorate([
    Component({
        selector: 'abi-search-field',
        template: "<span class=\"abi-input-search\">\n  <input pInputText type=\"text\" (input)=\"onSearch($event)\" [placeholder]=\"placeholder\" />\n  <em class=\"ui-autocomplete-loader pi pi-spinner pi-spin\"></em>\n  <em class=\"pi pi-search\"></em>\n</span>\n",
        styles: [".abi-input-search {\n  position: relative; }\n  .abi-input-search input {\n    background: #ffffff 0% 0% no-repeat padding-box;\n    border: 1px solid #8e939b;\n    border-radius: 8px;\n    width: 360px;\n    height: 50px;\n    padding: 1em 1.2em; }\n    .abi-input-search input ::placeholder {\n      color: #95979a; }\n    .abi-input-search input:hover {\n      border-color: #8e939b; }\n  .abi-input-search .pi {\n    right: 0.9em;\n    position: absolute;\n    color: #95979a; }\n  .abi-input-search .pi-search {\n    top: 0.05em;\n    display: block;\n    color: #95979a; }\n  .abi-input-search .ui-autocomplete-loader {\n    display: none;\n    top: 0.6em; }\n"]
    }),
    __metadata("design:paramtypes", [])
], AbiSearchFieldComponent);
export { AbiSearchFieldComponent };
//# sourceMappingURL=abi-search-field.component.js.map