/**
 * @license angular-library-ui
 * MIT license
 */

import { __decorate, __metadata } from 'tslib';
import { Injectable, Component, NgModule, EventEmitter, Output, Input } from '@angular/core';
import { InputTextModule } from 'primeng/inputtext';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

let SumService = class SumService {
    /**
     * Calculates the sum.
     * @param addends Numbers to be added
     */
    calculate(...addends) {
        this.sum = 0;
        for (const addend of addends) {
            this.sum += addend;
        }
    }
};
SumService = __decorate([
    Injectable()
], SumService);

let SumComponent = class SumComponent {
    constructor(sumService) {
        this.sumService = sumService;
    }
    ngOnInit() {
        this.sumService.calculate(45, 78, 90, 674);
        this.sum = this.sumService.sum;
    }
};
SumComponent = __decorate([
    Component({
        selector: 'cmp-sum',
        template: "<div class=\"sum\">\n    <p>Somma</p>\n    <p>{{ sum }}</p>\n</div>",
        styles: [".sum p {\n  color: red; }\n"]
    }),
    __metadata("design:paramtypes", [SumService])
], SumComponent);

var ArithmeticModule_1;
let ArithmeticModule = ArithmeticModule_1 = 
// Consider registering providers using a forRoot() method
// when the module exports components, directives or pipes that require sharing the same providers instances.
// Consider registering providers also using a forChild() method
// when they requires new providers instances or different providers in child modules.
class ArithmeticModule {
    /**
     * Use in AppModule: new instance of SumService.
     */
    static forRoot() {
        return {
            ngModule: ArithmeticModule_1,
            providers: [SumService]
        };
    }
    /**
     * Use in features modules with lazy loading: new instance of SumService.
     */
    static forChild() {
        return {
            ngModule: ArithmeticModule_1,
            providers: [SumService]
        };
    }
};
ArithmeticModule = ArithmeticModule_1 = __decorate([
    NgModule({
        declarations: [
            // Pipes.
            // Directives.
            // Components.
            SumComponent
        ],
        exports: [
            // Pipes.
            // Directives.
            // Components.
            SumComponent
        ]
    })
    // Consider registering providers using a forRoot() method
    // when the module exports components, directives or pipes that require sharing the same providers instances.
    // Consider registering providers also using a forChild() method
    // when they requires new providers instances or different providers in child modules.
], ArithmeticModule);

let AbiSearchFieldComponent = class AbiSearchFieldComponent {
    constructor() {
        this.change = new EventEmitter();
    }
    ngOnInit() {
    }
    onSearch(event) {
        if (this.change) {
            this.change.emit({ event, this: this });
        }
    }
};
__decorate([
    Output(),
    __metadata("design:type", EventEmitter)
], AbiSearchFieldComponent.prototype, "change", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], AbiSearchFieldComponent.prototype, "placeholder", void 0);
AbiSearchFieldComponent = __decorate([
    Component({
        selector: 'abi-search-field',
        template: "<span class=\"abi-input-search\">\n  <input pInputText type=\"text\" (input)=\"onSearch($event)\" [placeholder]=\"placeholder\" />\n  <em class=\"ui-autocomplete-loader pi pi-spinner pi-spin\"></em>\n  <em class=\"pi pi-search\"></em>\n</span>\n",
        styles: [".abi-input-search {\n  position: relative; }\n  .abi-input-search input {\n    background: #ffffff 0% 0% no-repeat padding-box;\n    border: 1px solid #8e939b;\n    border-radius: 8px;\n    width: 360px;\n    height: 50px;\n    padding: 1em 1.2em; }\n    .abi-input-search input ::placeholder {\n      color: #95979a; }\n    .abi-input-search input:hover {\n      border-color: #8e939b; }\n  .abi-input-search .pi {\n    right: 0.9em;\n    position: absolute;\n    color: #95979a; }\n  .abi-input-search .pi-search {\n    top: 0.05em;\n    display: block;\n    color: #95979a; }\n  .abi-input-search .ui-autocomplete-loader {\n    display: none;\n    top: 0.6em; }\n"]
    }),
    __metadata("design:paramtypes", [])
], AbiSearchFieldComponent);

let AbiSearchFieldModule = class AbiSearchFieldModule {
};
AbiSearchFieldModule = __decorate([
    NgModule({
        declarations: [
            AbiSearchFieldComponent
        ],
        imports: [
            CommonModule,
            FormsModule,
            InputTextModule
        ],
        exports: [
            AbiSearchFieldComponent
        ]
    })
], AbiSearchFieldModule);

// Public classes.

/**
 * Angular library starter
 * Build an Angular library compatible with AoT compilation & Tree shaking like an official package
 * Copyright Roberto Simonetti
 * MIT license
 * https://github.com/robisim74/angular-library-starter
 */
// This file only reexports content of the `src` folder. Keep it that way.

/**
 * Generated bundle index. Do not edit.
 */

export { AbiSearchFieldModule, ArithmeticModule, SumComponent, SumService, AbiSearchFieldComponent as ɵa };
//# sourceMappingURL=angular-library-ui.js.map
